<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Ideas</title>

    <!-- CSS Utama -->
    <link rel="stylesheet" href="css/app.css" />
    <script src="script/header.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN"
      crossorigin="anonymous"
    />
    <!-- Option 1: Include in HTML -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.3.0/font/bootstrap-icons.css"
    />
  </head>

  <body>
    <header class="navbar-container" id="navbar">
      <div class="logo">
        <img src="img/suitmedia-logo.png" />
      </div>
      <nav class="nav-list">
        <ul>
          <li><a style="align-items: center" href="#">Work</a></li>
          <li><a href="#">About</a></li>
          <li><a href="#">Service</a></li>
          <li><a class="active" href="#">Ideas</a></li>
          <li><a href="#">Careers</a></li>
          <li><a href="#">Contact</a></li>
        </ul>
      </nav>
    </header>
    <main>
      <div class="banner-container" id="banner-container">
        <p id="text1" style="color: white; font-size: 25pt; margin: 0">Ideas</p>
        <p id="text2" style="color: white; margin: 0">
          Where all our great things begin
        </p>
      </div>

      <div class="content-container">
        <div class="sort-container">
          <label style="align-self: center" id="label-post">Showing 1-10 of 100</label>
          <div style="align-content: flex-end">
            <label style="align-self: center;margin-left: 28.5rem;">show per page </label>
            <select aria-label="Default select example" onchange="change_page_size(this.value)" id="size_selector">
              <option selected value="10">10</option>
              <option value="20">20</option>
              <option value="50">50</option>
            </select>
            <label style="margin-left: 1rem; align-self: center">sort by</label>
            <select aria-label="Default select example" onchange="change_sort_method(this.value)" id="sort_selector">
              <option selected value="-published_at">Newest</option>
              <option value="published_at">Oldest</option>
            </select>
          </div>
        </div>
        <div class="content-card" id="content-container"></div>
        <div>
          <ul class="order-list" id="order-list">
            <!-- <li><a href="#" id="first-item"><i class="bi bi-chevron-double-left"></i></a></li>
            <li><a href="#" id="back-item"><i class="bi bi-chevron-compact-left"></i></a></li>
            <li><a class="active" href="#" id="item-1">1</a></li>
            <li><a href="#" id="next-item"><i class="bi bi-chevron-right"></i></a></li>
            <li><a href="#" id="last-item"><i class="bi bi-chevron-double-right"></i></a></li> -->
          </ul>
        </div>
      </div>
    </main>

    <script src="script.js"></script>
  </body>

  <script>
    get_current_content();
    change_background('https://images.unsplash.com/photo-1607816418477-997a4a32e293?q');
  </script>
</html>
